Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)

%define iversion 2.0.0

Name:    kcoloredit
Version: 4.4.0
Release: alt1_7
Summary: A color palette Editor

License: GPLv2+
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/extragear/kcoloredit-%{iversion}-kde%{version}.tar.bz2

## upstream patches
# fix FTBFS with the new stricter ld in F13 (#564815): explicitly link libX11
Patch100: kcoloredit-2.0.0-kde4.4.0-ftbfs.patch

BuildRequires:  kde4libs-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Source44: import.info


%description
KColorEdit is a palette files editor. It can be used for editing 
color palettes and for color choosing and naming.


%prep
%setup -qn kcoloredit-%{iversion}-kde%{version}
%patch100 -p1 -b .ftbfs


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kcoloredit.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_K4bindir}/kcoloredit
%{_kde4_appsdir}/kcoloredit/
%{_kde4_datadir}/applications/kde4/kcoloredit.desktop
%{_K4iconsdir}/hicolor/*/*/kcoloredit.*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 4.4.0-alt1_7
- initial fc import

